--- a/build-system/builder/src/main/java/com/android/builder/sdk/DefaultSdkLoader.java
+++ b/build-system/builder/src/main/java/com/android/builder/sdk/DefaultSdkLoader.java
@@ -145,7 +145,7 @@
                             installTarget(targetHash, repoManager, downloader, stdOutputProgress));
                 }
 
-                checkResults(installResults);
+                checkResults(installResults, progress);
 
                 repoManager.loadSynchronously(0, progress, null, null);
 
@@ -416,7 +416,7 @@
         }
 
         // Check to see if we failed because of some license not being accepted.
-        checkResults(installResults);
+        checkResults(installResults, new LoggerProgressIndicatorWrapper(logger));
 
         // If we can't find some of the remote packages or some install failed
         // we resort to installing/updating the old big repositories.
@@ -487,7 +487,7 @@
                     repositoriesBuilder.add(androidRepo);
                 }
             }
-            checkResults(installResults);
+            checkResults(installResults, new LoggerProgressIndicatorWrapper(logger));
         }
 
         return repositoriesBuilder.build();
@@ -499,7 +499,7 @@
      *
      * @throws RuntimeException if some packages could not be installed.
      */
-    private void checkResults(Map<RemotePackage, InstallResultType> installResults) {
+    private void checkResults(Map<RemotePackage, InstallResultType> installResults, ProgressIndicator progress) {
         Function<InstallResultType, List<String>> find =
                 resultType ->
                         installResults
@@ -511,7 +511,7 @@
 
         List<String> unlicensedPackages = find.apply(InstallResultType.LICENSE_FAIL);
         if (!unlicensedPackages.isEmpty()) {
-            throw new RuntimeException(
+            progress.logWarning(
                     "You have not accepted the license agreements of the following SDK components:\n"
                             + unlicensedPackages.toString()
                             + ".\nBefore building your project, you need to accept the license agreements "
